Subject: bug#12193: 24.1.50; 24.1.50; Completion broken in revno 109116

From: chad <[email-masked]>
Date: Mon, 13 Aug 2012 20:29:22 -0700

On 13 Aug 2012, at 19:50, Eli Zaretskii <[email-masked]> wrote:

>> With this recipe, it still happens in revno 109117.
> 
> Which is 500 revisions old.  Maybe you should resync.

I wonder if this is a bazaar numbering issue? My first report was from a sync that was less than an hour old; the second was less than 5 minutes old. I do have a few private patches on that branch, so maybe that's my fault?  I'm a bazaar novice.

> 1. emacs -Q in Emacs source tree
> 2. C-x C-f config. TAB
> 3. the main window splitted vertically to show the completion and the
>   cursor jumps to the top window from the minibuffer window.

Yep, this is exactly what I'm seeing, %100 reproducible.

>>> +  (when (window-live-p (nth 2 state))
>>> +    (select-window (nth 2 state) 'norecord)))
>> 
>> The last two (nth 2 state) should be (nth 1 state).
> 
> By fixing these, the problem disappears.

For me as well.  Thank you.

*Chad
P.S. I'll admit to being amused that my report mentioned that the cursor was in the wrong window, and I got the reply ``but the cursor shouldn't be in that window''. :-)